ntpd not compiled with debugging support

Bug #47683 reported by Richard Laager on 2006-05-31
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ntp (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: ntp-server

The man page for ntpd specifies:

       -d Specify debugging mode. This flag may occur multiple times,
              with each occurrence indicating greater detail of display.

Trying to run ntpd results in:
# ntpd -d -d -d -n
ntpd not compiled with -DDEBUG option - no DEBUG support
ntpd not compiled with -DDEBUG option - no DEBUG support
ntpd not compiled with -DDEBUG option - no DEBUG support

ntpd should have debugging support enabled, or if that's impractical, the man page must be updated.

Revision history for this message
Dominik Kubla (dbkubla) wrote :

ntpd must be compiled with debugging support since it is virtually impossible to track down NTP problems without.

Revision history for this message
Luis Mondesi (lemsx1) wrote :

#> /usr/sbin/ntpd -d -p /var/run/ntpd.pid -u 114
ntpd not compiled with -DDEBUG option - no DEBUG support
usage: /usr/sbin/ntpd [ -abdgmnqx ] [ -c config_file ] [ -e e_delay ]
                [ -f freq_file ] [ -k key_file ] [ -l log_file ]
                [ -p pid_file ] [ -r broad_delay ] [ -s statdir ]
                [ -t trust_key ] [ -v sys_var ] [ -V default_sysvar ]
                [ -P fixed_process_priority ]
                [ -u user[:group] ] [ -i chrootdir ]

I'm having problems with ntp as well and needed this. Please recompile with -DDEBUG

Revision history for this message
Luis Mondesi (lemsx1) wrote :

This patch fixes that problem

diff -burN ntp-4.2.0a+stable.orig/debian/rules ntp-4.2.0a+stable/debian/rules
--- ntp-4.2.0a+stable.orig/debian/rules 2006-10-16 11:59:23.000000000 -0400
+++ ntp-4.2.0a+stable/debian/rules 2006-10-16 12:00:58.000000000 -0400
@@ -15,7 +15,7 @@
  mkdir -p build-refclock
  cd build-refclock && ../configure --prefix=/usr \
   --enable-all-clocks --enable-parse-clocks --enable-SHM \
- --disable-debugging --sysconfdir=/var/lib/ntp \
+ --enable-debugging --sysconfdir=/var/lib/ntp \
   --cache-file=../config.cache --disable-errorcache \
   --enable-linuxcaps
  touch build-refclock/stamp-h.in
@@ -24,7 +24,7 @@
  mkdir -p build-simple
  cd build-simple && ../configure --prefix=/usr \
   --disable-all-clocks --disable-parse-clocks \
- --disable-debugging --enable-LOCAL-CLOCK \
+ --enable-debugging --enable-LOCAL-CLOCK \
   --sysconfdir=/var/lib/ntp --cache-file=../config.cache \
   --disable-errorcache --enable-linuxcaps
  touch build-simple/stamp-h.in

Revision history for this message
Scott Kitterman (kitterman) wrote :

Current packages (Hardy) have this.

Changed in ntp:
status: New → Fix Released
Revision history for this message
herr_tichy (thelow) wrote :

Seems to be the case in jaunty again.

Changed in ntp (Ubuntu):
status: Fix Released → New
Revision history for this message
Chuck Short (zulcss) wrote :

And karmic.

Changed in ntp (Ubuntu):
status: New → Triaged
Revision history for this message
joeclarkia (joeclark) wrote :

A coworker of mine needs to debug an NTP-related problem and was hit by this. Any chance of a fix for karmic release (doubtful I'm guessing).

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ntp - 1:4.2.4p6+dfsg-2ubuntu2

---------------
ntp (1:4.2.4p6+dfsg-2ubuntu2) lucid; urgency=low

  * debian/rules: enable debugging (LP: #47683)
  * debian/ntpdate-if.up: Hide invoke-rc.d output. (LP: #489585)
  * debian/man/ntptrace.1: Update man page removed ghost options. (LP: #351989)
 -- Chuck Short <email address hidden> Mon, 07 Dec 2009 14:59:28 -0500

Changed in ntp (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers